Name:           mod_fcgid
Version:        2.3.9
Release:        19
Summary:        High performance alternative to mod_cgi or mod_cgid
License:        ASL 2.0
URL:            http://httpd.apache.org/mod_fcgid/
Source0:        http://www.apache.org/dist/httpd/mod_fcgid/mod_fcgid-%{version}.tar.bz2
Source1:        mod_fcgid-tmpfs.conf
Source2:        fcgid24.conf
BuildRequires:  coreutils gcc httpd-devel >= 2.0 make pkgconfig sed
Requires:       httpd-mmn = %{_httpd_mmn}
Requires:       systemd

%description
Mod_fcgid is an Apache module providing a FastCGI interface. It's an alternative to mod_fastcgi
that is specifically tuned for the dynamic FastCGI configuration used on DreamHost servers.

%package help
Summary: Help document for the %{name} package

%description help
Help document for the %{name} package.

%prep
%autosetup -n %{name}-%{version} -p1
cp -p %{SOURCE2} fcgid24.conf

%build
APXS=%{_httpd_apxs} ./configure.apxs
%make_build

%install
%make_install MKINSTALLDIRS="mkdir -p"
install -d %{buildroot}{%{_httpd_confdir},%{_httpd_modconfdir}}
echo "LoadModule fcgid_module modules/mod_fcgid.so" > %{buildroot}%{_httpd_modconfdir}/10-fcgid.conf
install -D -m644 fcgid24.conf %{buildroot}%{_httpd_confdir}/fcgid.conf
install -d -m755 %{buildroot}/run/mod_fcgid
install -d -m755 %{buildroot}%{_tmpfilesdir}
install -p -m644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/mod_fcgid.conf

%files
%license LICENSE-FCGID
%{_libdir}/httpd/modules/mod_fcgid.so
%config(noreplace) %{_httpd_modconfdir}/10-fcgid.conf
%config(noreplace) %{_httpd_confdir}/fcgid.conf
%{_tmpfilesdir}/mod_fcgid.conf
%dir %attr(0775,root,apache) /run/mod_fcgid/
%exclude %{_httpd_contentdir}/manual

%files help
%doc docs/manual/mod/mod_fcgid.html.en
%doc CHANGES-FCGID NOTICE-FCGID README-FCGID STATUS-FCGID
%doc modules/fcgid/ChangeLog
%doc build/fixconf.sed

%changelog
* Wed Feb 24 2021 lingsheng<lingsheng@huawei.com> - 2.3.9-19
- Add requires httpd-mmn to fix group apache missing

* Thu Nov 14 2019 shijian<shijian16@huawei.com> - 2.3.9-18
- Package init
